# Test: Prompt missing required id field
# Expected: FAIL
# Error code: invalid_type
# Error path: agent.prompts[0].id
# Error expected: string

agent:
  metadata:
    id: prompt-missing-id
    name: Prompt Missing ID
    title: Missing ID
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  prompts:
    - content: Prompt without ID

  menu:
    - trigger: help
      description: Show help
      action: display_help
